hpct-ssh(1)

NAME
hpct-ssh - HiPerConTracer SSH via Reverse Tunnel

SYNOPSIS
hpct-ssh USER@NODE_ID [-h | - -help] [-v | - -verbose] [-q | - -quiet] [-c | - -copy-id] [- -] SSH_ARGUMENTS ...

DESCRIPTION
hpct-ssh is the HiPerConTracer Reverse Tunnel SSH script. It is to be run on the Collector and provides SSH login via reverse tunnel to a given node.

ARGUMENTS
The following arguments must be provided:

-h | - -help
    Prints command help.

-q -|--quiet
    Turns off status output.

-v -|--verbose
    Turns on status output.

-c | - -copy-id
    Calls ssh-copy-id first, in order to configure public/private key-based authentication to the remote node. If successful, SSH is tried. This should provide a password-less login.

- - All arguments after -- are provided to the SSH call.

EXAMPLES

hpct-ssh user@1000

hpct-ssh user@1000 --verbose

hpct-ssh user@1000 --copy-id --verbose

hpct-ssh user@1000 --quiet -- 'hostname; pactl list sources'

AUTHORS
Thomas Dreibholz
https://www.simula.no/people/dreibh
mailto://dreibh@simula.no